<?php

declare(strict_types=1);

namespace KimaAI\Ai\Providers\Contracts;

use KimaAI\Ai\Providers\DTO\ChatRequest;
use KimaAI\Ai\Providers\DTO\ChatResponse;

interface ChatClientInterface {
  public function createChat(ChatRequest $request): ChatResponse;
}
